<?php
/**
 * RokTwittie Module
 *
 * @package RocketTheme
 * @subpackage roktwittie
 * @version   0.9 January 15, 2010
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2010 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

defined('_JEXEC') or die('Restricted access');

require_once (JPATH_SITE.DS.'modules'.DS.'mod_roktwittie'.DS.'roktwittie.class.php');

/**
 * @package RocketTheme
 * @subpackage roktwittie
 */
class modRokTwittieHelper {

	function loadScripts(&$params)
	{
		JHTML::_('behavior.mootools');
		$doc =& JFactory::getDocument();
		
		$js_file = JURI::root(true) . '/modules/mod_roktwittie/js/roktwittie.js';
		
		if (!defined('ROKTWITTIE_JS')) {
			$enable_usernames = ($params->get("enable_usernames", "1") == "1") ? 1 : 0;
			$usernames = str_replace(" ", "", $params->get("usernames", "rockettheme"));
			$enable_usernames_avatar = ($params->get("enable_usernames_avatar", "1") == "1") ? 1 : 0;
			$usernames_avatar_size = $params->get("usernames_avatar_size", 48);
			$usernames_count_size = $params->get("usernames_count_size", 4);
			$enable_usernames_externals = ($params->get("enable_usernames_externals", "1") == "1") ? 1 : 0;
			$enable_usernames_source = ($params->get("enable_usernames_source", "1") == "1") ? 1 : 0;
			$enable_usernames_user = ($params->get("enable_usernames_user", "1") == "1") ? 1 : 0;
			$show_default_avatar = ($params->get("show_default_avatar","1") == "1") ? 1 : 0;
			$inactive_opacity = $params->get("inactive_opacity", 0.5);
			$usernames_count_merged = ($params->get("usernames_count_merged", "1") == "1") ? 1 : 0;
			
			if ($enable_usernames_avatar) $user_avatar = $usernames_avatar_size;
			else $user_avatar = 0;
			
			$enable_search = ($params->get("enable_search", "1") == "1") ? 1 : 0;
			$search = $params->get("search", "@rockettheme");
			$enable_search_avatar = ($params->get("enable_search_avatar", "1") == "1") ? 1 : 0;
			$search_avatar_size = $params->get("search_avatar_size", 48);
			$search_count_size = $params->get("search_count_size", 4);
			$enable_search_externals = ($params->get("enable_search_externals", "1") == "1") ? 1 : 0;
			$enable_search_source = ($params->get("enable_search_source", "1") == "1") ? 1 : 0;
			$enable_search_user = ($params->get("enable_search_user", "1") == "1") ? 1 : 0;
			
			if ($enable_search_avatar) $search_avatar = $search_avatar_size;
			else $search_avatar = 0;
			if (!strlen($search)) $search = 0;
			else $search = '\''.$search.'\'';
			if (!$enable_search) $search = 0;
			
			$usernames = explode(",", $usernames);
			$usernames = "['".implode("', '", $usernames)."']";
			if (!$enable_usernames) $usernames = 0;
						
			$document =& JFactory::getDocument();
			$document->addScript($js_file);
			$document->addScriptDeclaration("
			window.addEvent('domready', function() {
				new RokTwittie({
					username: $usernames,
					query: $search,
					defaultAvatar: $show_default_avatar,
					avatar: { user: {$user_avatar}, query: {$search_avatar} },
					count: { user: {$usernames_count_size}, query: {$search_count_size}, merge: {$usernames_count_merged} },
					external: {	user: {$enable_usernames_externals}, query: {$enable_search_externals} },
					showSource: { user: {$enable_usernames_source}, query: {$enable_search_source} },
					showUser: {	user: {$enable_usernames_user},	query: {$enable_search_user} },
					inactiveOpacity: $inactive_opacity,
					lang: {
						viewTweet: '".JText::_("VIEWTWEET")."',
						from: '".JText::_("FROM")."',
						lessThanAMin: '".JText::_("LESS_THAN_A_MIN")."',
						about: '".JText::_("ABOUT")."',
						aboutAMin: '".JText::_("ABOUT_A_MIN_AGO")."',
						minutesAgo: '".JText::_("MINS_AGO")."',
						aboutAHour: '".JText::_("ABOUT_A_HOUR_AGO")."',
						hoursAgo: '".JText::_("HOURS_AGO")."',
						oneDay: '".JText::_("ONE_DAY_AGO")."',
						daysAgo: '".JText::_("DAYS_AGO")."'
					}
				});
			});");
			define('ROKTWITTIE_JS',1);
		}
	}
	
	function request(&$params, $module, $status) {
	 	$roktwittie = new rokTwittie($params, $module->id, JPATH_CACHE);
		$output = $roktwittie->makeRequest($status);				
		return $output;
	}
	
	function getBrowser() 
	{
		$agent = ( isset( $_SERVER['HTTP_USER_AGENT'] ) ) ? strtolower( $_SERVER['HTTP_USER_AGENT'] ) : false;
		$ie_version = false;
				
		if (preg_match("/msie/", $agent) && !preg_match("/opera/", $agent)){
            $val = explode(" ",stristr($agent, "msie"));
            $ver = explode(".", $val[1]);
			$ie_version = $ver[0];
			$ie_version = ereg_replace("[^0-9,.,a-z,A-Z]", "", $ie_version);
		}
		
		return $ie_version;
	}
	
}